GLS ShipIT 3.3.20 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.common.KeyValuePair Class Reference

## Public Member Functions
String | getKey ()
void | setKey (String value)
String | getValue ()
void | setValue (String value)

## Protected Attributes
String | key
String | value

## Detailed Description

key / value pair construct for custom data

Java class for KeyValuePair complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="KeyValuePair">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="key" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="value" type="{http://www.w3.org/2001/XMLSchema}string"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 40 of file KeyValuePair.java.

## Member Function Documentation

## ◆ getKey()

String eu.glsgroup.fpcs.datatypes.soap.v1.common.KeyValuePair.getKey | ( |  | ) |

Gets the value of the key property.

Returns
  possible object is String

Definition at line 55 of file KeyValuePair.java.

## ◆ getValue()

String eu.glsgroup.fpcs.datatypes.soap.v1.common.KeyValuePair.getValue | ( |  | ) |

Gets the value of the value property.

Returns
  possible object is String

Definition at line 79 of file KeyValuePair.java.

## ◆ setKey()

void eu.glsgroup.fpcs.datatypes.soap.v1.common.KeyValuePair.setKey | ( | String | value | ) |

Sets the value of the key property.

Parameters

  value | allowed object is String

Definition at line 67 of file KeyValuePair.java.

## ◆ setValue()

void eu.glsgroup.fpcs.datatypes.soap.v1.common.KeyValuePair.setValue | ( | String | value | ) |

Sets the value of the value property.

Parameters

  value | allowed object is String

Definition at line 91 of file KeyValuePair.java.

## Member Data Documentation

## ◆ key

String eu.glsgroup.fpcs.datatypes.soap.v1.common.KeyValuePair.key
| protected

Definition at line 43 of file KeyValuePair.java.

## ◆ value

String eu.glsgroup.fpcs.datatypes.soap.v1.common.KeyValuePair.value
| protected

Definition at line 45 of file KeyValuePair.java.

The documentation for this class was generated from the following file:

- KeyValuePair.java